Outlook 365 version 1908 vs 2001

%3CLINGO-SUB%20id%3D%22lingo-sub-1179687%22%20slang%3D%22en-US%22%3EOutlook%20365%20version%201908%20vs%202001%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1179687%22%20slang%3D%22en-US%22%3E%3CP%3EDoes%20anyone%20what%20changed%20between%20Outlook%20(365)%20version%201908%20(Semi-Annual)%20and%202001%20(Monthly)%20to%20caused%20Gmail%20to%20work%20on%20Outlook%20version%202001%20without%20turning%20ON%20%22Less%20Secure%20App%20%22%20settings.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CUL%3E%3CLI%3E%3CSTRONG%3EMS%20Outlook%202016%20for%20Windows%3C%2FSTRONG%3E%20required%20Gmail%E2%80%99s%20Less%20Secure%20apps%20setting%20turned%20ON%20in%20order%20to%20setup%20Gmail%20account%20via%20IMAP%20settings.%20The%20error%20message%20that%20we%20received%20was%20%E2%80%9CSomething%20went%20wrong%E2%80%9D%3C%2FLI%3E%3CLI%3E%26nbsp%3B%3C%2FLI%3E%3C%2FUL%3E%3CUL%3E%3CLI%3E%3CSTRONG%3EMS%20Outlook%20365%20(version%201902%20and%201908%2C%20Semi-Annual%20Channel%3C%2FSTRONG%3E)%20%3CSTRONG%3Erequired%3C%2FSTRONG%3E%20Gmail%E2%80%99s%20Less%20Secure%20apps%20setting%20turned%20ON%20in%20order%20to%20setup%20Gmail%20account.%20The%20error%20message%20that%20we%20received%20was%20%E2%80%9C%3CSTRONG%3ESomething%20went%20wrong%3C%2FSTRONG%3E%E2%80%9D%3C%2FLI%3E%3C%2FUL%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CUL%3E%3CLI%3E%3CSTRONG%3EMS%20Outlook%20365%20(version%202001%2C%20Monthly%20Channel)%20%3C%2FSTRONG%3Edoes%20NOT%3CSTRONG%3E%20required%3C%2FSTRONG%3E%20Gmail%E2%80%99s%20Less%20Secure%20apps%20setting%20to%20be%20turned%20ON%20in%20order%20to%20setup%20Gmail%20account.%3C%2FLI%3E%3C%2FUL%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI%20was%20able%20to%20get%20in%20touch%20with%20Google%20support%20and%20was%20told%20that%20it%20appears%20Outlook%20(365)%20version%201908%20%26amp%3B%201908%20don't%20support%20OAuth%202.0.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-1179687%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EOffice%20365%3C%2FLINGO-LABEL%3E%3CLINGO-LABEL%3EOutlook%20for%20Windows%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1179958%22%20slang%3D%22en-US%22%3ERe%3A%20Outlook%20365%20version%201908%20vs%202001%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1179958%22%20slang%3D%22en-US%22%3E%3CP%3ENot%20sure%20I%20understand%20the%20question%20here%2C%20OAuth%20support%20is%20exactly%20what%20enables%20accounts%20using%20two-factor%20auth%20to%20be%20configured%20directly%20in%20new%20versions%20of%20Outlook%20(compared%20to%20using%20app%20passwords%20in%20older%20versions).%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1180044%22%20slang%3D%22en-US%22%3ERe%3A%20Outlook%20365%20version%201908%20vs%202001%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1180044%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F58%22%20target%3D%22_blank%22%3E%40Vasil%20Michev%3C%2FA%3E%26nbsp%3B%20The%20issue%20that%20we%20had%20with%20O365%20version%201908%20was%20we%20were%20unable%20to%20configure%20Gmail%20account%20to%20use%20IMAP%20with%20OAuth.%20We%20had%20to%20turn%20ON%20Less%20Secure%20App%20settings%20on%20Gmail%20account%20to%20work.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EOn%20O365%20version%202001%2C%20we%20were%20able%20to%20configure%20it%20without%20issues%20with%20Less%20Secure%20App%20setting%20OFF.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1180125%22%20slang%3D%22en-US%22%3ERe%3A%20Outlook%20365%20version%201908%20vs%202001%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1180125%22%20slang%3D%22en-US%22%3E%3CP%3EAnd%20OAuth%20support%20is%20what%20makes%20that%20possible.%20With%201908%20and%20lower%2C%20you%20had%20to%20use%20an%20app%20password%2C%20which%20is%20basically%20a%20way%20to%20%22bypass%22%20using%20OAuth.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1180145%22%20slang%3D%22en-US%22%3ERe%3A%20Outlook%20365%20version%201908%20vs%202001%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1180145%22%20slang%3D%22en-US%22%3ESo%20version%202001%20is%20the%20first%20version%20that%20support%20IMAP%20with%20OAuth%3F%3C%2FLINGO-BODY%3E
Occasional Contributor

Does anyone what changed between Outlook (365) version 1908 (Semi-Annual) and 2001 (Monthly) to caused Gmail to work on Outlook version 2001 without turning ON "Less Secure App " settings.

 

  • MS Outlook 2016 for Windows required Gmail’s Less Secure apps setting turned ON in order to setup Gmail account via IMAP settings. The error message that we received was “Something went wrong

 

  • MS Outlook 365 (version 1902 and 1908, Semi-Annual Channel) required Gmail’s Less Secure apps setting turned ON in order to setup Gmail account. The error message that we received was “Something went wrong

 

  • MS Outlook 365 (version 2001, Monthly Channel) does NOT required Gmail’s Less Secure apps setting to be turned ON in order to setup Gmail account.

 

I was able to get in touch with Google support and was told that it appears Outlook (365) version 1908 & 1908 don't support OAuth 2.0.

 

 

 

 

 

 

 

 

 

4 Replies

Not sure I understand the question here, OAuth support is exactly what enables accounts using two-factor auth to be configured directly in new versions of Outlook (compared to using app passwords in older versions).

@Vasil Michev  The issue that we had with O365 version 1908 was we were unable to configure Gmail account to use IMAP with OAuth. We had to turn ON Less Secure App settings on Gmail account to work.

 

On O365 version 2001, we were able to configure it without issues with Less Secure App setting OFF.

And OAuth support is what makes that possible. With 1908 and lower, you had to use an app password, which is basically a way to "bypass" using OAuth.

So version 2001 is the first version that support IMAP with OAuth?